Package com.io7m.idstore.server.security

# Record Class IdSecAdminActionUserBanDelete

java.lang.Object
java.lang.Record
com.io7m.idstore.server.security.IdSecAdminActionUserBanDelete

Record Components:
  `admin` - The admin performing the unban

All Implemented Interfaces:
  `IdSecActionType`, `IdSecAdminActionType`

public record IdSecAdminActionUserBanDelete(IdAdmin admin) extends Record implements IdSecAdminActionType
An admin wants to unban a user.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdSecAdminActionUserBanDelete(IdAdmin admin)`
  An admin wants to unban a user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IdAdmin`
  `admin()`
  Returns the value of the `admin` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdSecAdminActionUserBanDelete

    public IdSecAdminActionUserBanDelete(IdAdmin admin)
    An admin wants to unban a user.
    Parameters:
      `admin` - The admin performing the unban

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### admin

    public IdAdmin admin()
    Returns the value of the `admin` record component.
    Specified by:
      `admin` in interface `IdSecAdminActionType`
    Returns:
      the value of the `admin` record component